package net.northking.cctp.flowable.api.sm.service;

import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.flowable.db.entity.SpDeployment;
import net.northking.cctp.flowable.dto.sm.StateProcessDeploymentDto;
import org.springframework.stereotype.Service;


@Service
public class StateProcessDeploymentApiServiceImpl implements StateProcessDeploymentApiService {

    /**
     * 新增流程部署关系
     *
     * @param dto 接口数据传输对象
     * @return 主键
     */
    @Override
    public String save(StateProcessDeploymentDto dto) {
        return null;
    }

    /**
     * 查询流程部署关系列表
     *
     * @param queryByPage 查询条件
     * @return 查询结果列表
     */
    @Override
    public Pagination<StateProcessDeploymentDto> pagingQuery(QueryByPage<SpDeployment> queryByPage) {
        return null;
    }

    /**
     * 获取流程部署关系
     *
     * @param uuid 主键
     * @return 接口数据传输对象
     */
    @Override
    public StateProcessDeploymentDto findByPK(String uuid) {
        return null;
    }

    /**
     * 删除流程部署关系
     *
     * @param uuid 主键
     * @return 删除的记录数量
     */
    @Override
    public Integer deleteByPK(String uuid) {
        return null;
    }

}
